Skip to main content
`Ctrl`+`K`

# PetscCallReturnMPI

Calls a PETSc function and then checks the resulting error code, if it is non-zero it calls the error handler and returns from the current function with an MPI error code. To check for errors in PETSc provided MPI callbacks.

## Synopsis

    #include <petscsys.h>
    void PetscCallReturnMPI(PetscFunction(args))

Not Collective

## Input Parameter

- PetscFunction - any PETSc function that returns an error code

## Notes

Note to be confused with `PetscCallMPI()`.

This is be used in a PETSc-provided MPI callback function, such as `MPI_Comm_delete_attr_function function()`.

Currently, it always returns `MPI_ERR_OTHER` on failure

## See Also

`PetscCall()`, `PetscCallMPI()`, `SETERRQ()`, `PetscCheck()`, `PetscAssert()`, `PetscTraceBackErrorHandler()`, `PetscCallMPI()`, `PetscPushErrorHandler()`, `PetscError()`, `CHKMEMQ`, `CHKERRA()`, `CHKERRMPI()`, `PetscCallBack()`, `PetscCallAbort()`, `PetscCallVoid()`, `PetscCallNull()`

## Level

advanced

## Location

include/petscerror.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages